org.freedesktop.ModemManager1.Modem.Modem3gpp: ModemManager Reference Manual

## org.freedesktop.ModemManager1.Modem.Modem3gpp org.freedesktop.ModemManager1.Modem.Modem3gpp — The ModemManager 3GPP interface. |

## Methods

    Register (IN  s      operator_id);
    Scan     (OUT aa{sv} results);

## Properties

    Imei                  readable   s
    RegistrationState     readable   u
    OperatorCode          readable   s
    OperatorName          readable   s
    EnabledFacilityLocks  readable   u
    SubscriptionState     readable   u

## Description

This interface provides access to specific actions that may be performed in modems with 3GPP capabilities.

## Method Details

### The Register() method

    Register (IN  s operator_id);

Request registration with a given mobile network.

`IN s `operator_id``: | The operator ID (ie, `"MCCMNC"`, like `"310260"`) to register. An empty string can be used to register to the home network.

### The Scan() method

    Scan (OUT aa{sv} results);

Scan for available networks.

`results` is an array of dictionaries with each array element describing a mobile network found in the scan. Each dictionary may include one or more of the following keys:

`"status"` | A MMModem3gppNetworkAvailability value representing network availability status, given as an unsigned integer (signature `"u"`). This key will always be present.
`"operator-long"` | Long-format name of operator, given as a string value (signature `"s"`). If the name is unknown, this field should not be present.
`"operator-short"` | Short-format name of operator, given as a string value (signature `"s"`). If the name is unknown, this field should not be present.
`"operator-code"` | Mobile code of the operator, given as a string value (signature `"s"`). Returned in the format `"MCCMNC"`, where `MCC` is the three-digit ITU E.212 Mobile Country Code and `MNC` is the two- or three-digit GSM Mobile Network Code. e.g. `"31026"` or `"310260"`.
`"access-technology"` | A MMModemAccessTechnology value representing the generic access technology used by this mobile network, given as an unsigned integer (signature `"u"`).

`OUT aa{sv} `results``: | Array of dictionaries with the found networks.

## Property Details

### The "Imei" property

    Imei  readable   s

The IMEI of the device.

### The "RegistrationState" property

    RegistrationState  readable   u

A MMModem3gppRegistrationState value specifying the mobile registration status as defined in 3GPP TS 27.007 section 10.1.19.

### The "OperatorCode" property

    OperatorCode  readable   s

Code of the operator to which the mobile is currently registered.

Returned in the format `"MCCMNC"`, where `MCC` is the three-digit ITU E.212 Mobile Country Code and `MNC` is the two- or three-digit GSM Mobile Network Code. e.g. e`"31026"` or `"310260"`.

If the `MCC` and `MNC` are not known or the mobile is not registered to a mobile network, this property will be a zero-length (blank) string.

### The "OperatorName" property

    OperatorName  readable   s

Name of the operator to which the mobile is currently registered.

If the operator name is not known or the mobile is not registered to a mobile network, this property will be a zero-length (blank) string.

### The "EnabledFacilityLocks" property

    EnabledFacilityLocks  readable   u

Bitmask of MMModem3gppFacility values for which PIN locking is enabled.

### The "SubscriptionState" property

    SubscriptionState  readable   u

A MMModem3gppSubscriptionState value representing the subscription status of the account and whether there is any data remaining, given as an unsigned integer (signature `"u"`).